Bug 471640 - ACPI / Brightness don't work correctly
ACPI / Brightness don't work correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 14:33 EST by Pavel Lisý
Modified: 2009-03-02 05:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 05:15:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from gnome-power-manager (229.60 KB, text/plain)
2008-11-18 09:24 EST, Pavel Lisý
no flags Details
output of gnome-power-manager in no-deamon-mode and verbose (14.48 KB, application/octet-stream)
2008-12-09 12:54 EST, Thomas Spura
no flags Details

  None (edit)
Description Pavel Lisý 2008-11-14 14:33:17 EST
Description of problem:
When I am working on laptop (Thinkpad X40) brightness dim suddenly and after about 0.5-1min it revert to same level

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. work in X when laptop is on batteries
2. it happens about 1-4 times in hour
3.
  
Actual results:
brightness dim suddenly for about 0.5-1min during normal work

Expected results:
brightness dim only in time of inactivity

Additional info:
I am not sure where problem is? I started after last updates (kernel, pm-utils, ...)
Comment 1 Pavel Lisý 2008-11-18 02:46:20 EST
It is bug in kernel maybe because it is the same in console (tty1, tty2, ...)
Comment 2 Richard Hughes 2008-11-18 05:21:00 EST
If you stop moving the mouse or typing the backlight is dimmed to save power. If you don't like this, just uncheck the "Dim backlight when idle" in gnome-power-preferences.
Comment 3 Pavel Lisý 2008-11-18 06:24:04 EST
OK, but like I wrote before it happens during my typing or mouse moving. 
And it dim slow (in few second) for 1 minute approximately and then return (slowly) to normal brightness. It is really annoying.
Comment 4 Richard Hughes 2008-11-18 06:37:58 EST
can you grab the out put from:

killall gnome-power-manager
gnome-power-manager --verbose --no-daemon

Thanks.
Comment 5 Pavel Lisý 2008-11-18 09:24:30 EST
Created attachment 323901 [details]
log from gnome-power-manager
Comment 6 Pavel Lisý 2008-11-25 18:31:58 EST
I have found something new. When it happens system is really busy. 
Xorg takes more then 20% CPU and many other utilities about 1% so CPU usage is more than 60-70% in time of dim. When I kill gnome-power-manager load is gone.

So it can be problem of gnome-power-manager I suppose.
Comment 7 Bug Zapper 2008-11-26 00:23:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Thomas Spura 2008-12-09 12:54:38 EST
Created attachment 326369 [details]
output of gnome-power-manager in no-deamon-mode and verbose
Comment 9 Thomas Spura 2008-12-09 12:54:56 EST
I have the same problem. Anything worked in Fedora 9, but now, with battery it's fading and a hight CPU usage like Pavel descriped.

I ran:
 killall gnome-power-manager
 gnome-power-manager --verbose --no-daemon

Output: see attachment

After switching off power supply and only running with battery, the icon in the panel disappears so I ran System->... something linke energy administration (not using the English localization). Then gnome-power-manager --verbose --no-daemon suddenly crashes.

Maybe, this is another hint to the problem… Reverting to fc9-source code would be the best ;-)

   Thomas
Comment 10 Thomas Spura 2009-02-28 10:39:02 EST
works for me again…

I believe this bug can be closed.
Comment 11 Pavel Lisý 2009-03-01 15:36:28 EST
I can confirm it. Now brightness change is really quick. Bug can be closed. 

I'm only curious what was solution (kernel/firmware update or changes in gnome-power-manager). Do you know it?
Comment 12 Thomas Spura 2009-03-01 21:03:14 EST
No, i can't remember a gnome-power-manager update.

As long as it works, it's OK.
Comment 13 Richard Hughes 2009-03-02 05:15:02 EST
(In reply to comment #11)
> I'm only curious what was solution (kernel/firmware update or changes in
> gnome-power-manager). Do you know it?

Multiple fixes in xrandr and gnome-power-manager.

Note You need to log in before you can comment on or make changes to this bug.